## spglib 2.1.0

=== src/CMakeLists.txt ===
configure_file(version.h.in version.h)

# Add compiler warnings
if (MSVC)
	target_compile_options(Spglib_symspg PRIVATE /W4)
else()
	# TODO: C23: Disabled -Wpedantic because of warning spam
	#  Add it back when C23 standard is widespread and revert this [Temp][C23] commit
	target_compile_options(Spglib_symspg PRIVATE -Wall -Wextra)
endif()

# Configure main target
target_sources(Spglib_symspg PRIVATE
		arithmetic.c
		cell.c
		delaunay.c
		determination.c
		hall_symbol.c
		kgrid.c
		kpoint.c
		magnetic_spacegroup.c
		mathfunc.c
		msg_database.c
		niggli.c
		overlap.c
		pointgroup.c
		primitive.c
		refinement.c
		site_symmetry.c
		sitesym_database.c
		spacegroup.c
		spg_database.c
		spglib.c
		spin.c
		symmetry.c
		)
if (SPGLIB_DEBUG)
	target_sources(Spglib_symspg PRIVATE
			debug.c
			)
endif ()
set_target_properties(Spglib_symspg PROPERTIES
		PUBLIC_HEADER ${CMAKE_CURRENT_SOURCE_DIR}/spglib.h)
# TODO: Should move spglib.h to a separate folder so other headers are not included in ExternalProject setups
target_include_directories(Spglib_symspg PUBLIC
		"$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>"
		"$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>"
		"$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>")

# Link to third-party libraries
if (SPGLIB_USE_OMP)
	target_link_libraries(Spglib_symspg PRIVATE OpenMP::OpenMP_C)
endif ()
if (NOT MSVC)
	# Link to mathlibrary
	target_link_libraries(Spglib_symspg PUBLIC m)
endif ()


# Additional settings
if (SPGLIB_USE_SANITIZER)
	if (CMAKE_Fortran_COMPILER_ID MATCHES "Intel.*")
		# TODO: Address sanitizer cannot run on intel
		message(WARNING "Sanitizer are not bundled well with intel compiler")
	else ()
		string(TOLOWER ${SPGLIB_USE_SANITIZER} SPGLIB_USE_SANITIZER)
		target_compile_options(Spglib_symspg PRIVATE -fsanitize=${SPGLIB_USE_SANITIZER})
		target_link_options(Spglib_symspg PUBLIC -fsanitize=${SPGLIB_USE_SANITIZER})
	endif ()
endif ()
if (SPGLIB_DEBUG)
	target_compile_definitions(Spglib_symspg PRIVATE SPGDEBUG)
endif ()
if (SPGLIB_WARNINGS)
	target_compile_definitions(Spglib_symspg PRIVATE SPGWARNING)
endif ()

# Avoid One Definition Rule problems. Please fix these
if (CMAKE_UNITY_BUILD)
	set_source_files_properties(
			symmetry.c site_symmetry.c spacegroup.c spglib.c refinement.c pointgroup.c determination.c delaunay.c
			PROPERTIES SKIP_UNITY_BUILD_INCLUSION ON
	)
endif ()


# Install
if (NOT SKBUILD AND SPGLIB_INSTALL)
	# Normal installation target to system. When using scikit-build check python subdirectory
	if (WIN32)
		# TODO: Probably wrong, please fix
		install(TARGETS Spglib_symspg
				EXPORT SpglibTargets
				LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT Spglib_Runtime NAMELINK_COMPONENT Spglib_Development
				ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT Spglib_Development
				PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR} COMPONENT Spglib_Development
				RUNTIME DESTINATION ${CMAKE_INSTALL_RUNTIMEDIR} COMPONENT Spglib_Runtime)
	else ()
		install(TARGETS Spglib_symspg
				EXPORT SpglibTargets
				LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT Spglib_Runtime NAMELINK_COMPONENT Spglib_Development
				ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT Spglib_Development
				PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR} COMPONENT Spglib_Development)
	endif ()
endif ()

=== test/functional/fortran/CMakeLists.txt ===
list(APPEND ctest_labels fortran_api)

# Cannot use native googletest. Using a rudimentary ctest native testing suite
add_library(test_utils STATIC utils.F90 c_interface_module.F90)

# Generated ctest file that switches and displays tests
# Note must be plain C because generated CPP file does not include extern "C"
set(TestsDriver fortran_test.c)
set(SubTests_test_fortran_spg_get_symmetry
		test_rutile112
		test_zincblende
		)

# Add fortran tests here
create_test_sourcelist(FortranTests_Files
		${TestsDriver}
		test_fortran_spg_get_symmetry.F90
		test_fortran_spg_refine_cell.F90)
# Define any subtests (would be nice to auto-detect them like Catch2)


add_executable(FortranTests ${FortranTests_Files})
target_link_libraries(FortranTests PRIVATE test_utils Spglib_fortran)
if (CMAKE_Fortran_COMPILER_ID MATCHES "Intel.*")
	target_link_options(FortranTests PRIVATE
			"$<$<COMPILE_LANGUAGE:Fortran>:-nofor-main>")
endif ()

# Remove the driver executable from the list for add_test
set(TestsToRun ${FortranTests_Files})
list(REMOVE_ITEM TestsToRun ${TestsDriver})

# Loop over all main tests files
foreach (test ${TestsToRun})
	get_filename_component(test_name ${test} NAME_WE)
	# Check if we have subtests defined
	if (DEFINED SubTests_${test_name})
		# Loop over all subtests
		foreach (subtest ${SubTests_${test_name}})
			# Call test via ${FortranTests_Executable} ${test_name} ${subtest}
			# E.g. running manually: ./FortranTests_Executable test_fortran_spg_get_symmetry test_rutile112
			add_test(NAME "${test_name}.${subtest}"
					COMMAND $<TARGET_FILE:FortranTests> ${test_name} ${subtest})
			set_tests_properties("${test_name}.${subtest}" PROPERTIES
					LABELS "${ctest_labels}")
		endforeach ()
	else ()
		# Only run the main test without arguments. Maybe can pass other variable data though :-?
		add_test(NAME ${test_name}
				COMMAND $<TARGET_FILE:FortranTests> ${test_name})
		set_tests_properties(${test_name} PROPERTIES
				LABELS "${ctest_labels}")
	endif ()
endforeach ()

=== debian/changelog ===
spglib (2.1.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrius Merkys <merkys@debian.org>  Sun, 12 Nov 2023 02:46:59 -0500

spglib (2.1.0-1~exp) experimental; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Andrius Merkys ]
  * New upstream version 2.1.0
  * Install CMake definitions.
  * Accommodate soversion changes.
  * Skip Python tests as they are unable to locate importable package.
  * Add autopkgtest for ruby-getspg binary package.
  * Simplify debian/rules.

 -- Andrius Merkys <merkys@debian.org>  Tue, 31 Oct 2023 03:12:07 -0400

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME = spglib
export PYBUILD_SYSTEM = pyproject
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3,ruby

override_dh_auto_configure:
	dh_auto_configure -- -DSPGLIB_WITH_Fortran=ON -DSPGLIB_WITH_Python=ON
	dh_auto_configure --buildsystem ruby

execute_after_dh_auto_build:
	dh_auto_build --buildsystem ruby

execute_after_dh_auto_install:
	cd ruby && ruby -I/usr/lib/ruby/vendor_ruby extconf.rb --with-getspg-lib=$$(realpath ../obj-*) --with-getspg-include=../src
	ABS_TOP_DESTDIR=$(CURDIR)/debian/tmp/usr dh_auto_install --buildsystem ruby

execute_after_dh_makeshlibs:
	cut -d - -f 1 debian/libsymspg2/DEBIAN/symbols | sponge debian/libsymspg2/DEBIAN/symbols

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

execute_after_dh_auto_clean:
	rm -rf .pytest_cache/ test/functional/python/__pycache__/
	dh_auto_clean --buildsystem ruby

## spglib 2.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)
# CMake version compatibility
# TODO: Remove when cmake 3.25 is commonly distributed
if (POLICY CMP0140)
	cmake_policy(SET CMP0140 NEW)
endif ()

#[==============================================================================================[
#                                    Basic project defintion                                    #
]==============================================================================================]

project(Spglib
		VERSION 2.2.0
		LANGUAGES C)

# Back-porting to PROJECT_IS_TOP_LEVEL to older cmake
# TODO: Remove when requiring cmake >= 3.21
if (NOT DEFINED Spglib_IS_TOP_LEVEL)
	if (CMAKE_PROJECT_NAME STREQUAL PROJECT_NAME)
		set(PROJECT_IS_TOP_LEVEL ON)
	else ()
		set(PROJECT_IS_TOP_LEVEL OFF)
	endif ()
endif ()

# Specify C standard. This can be overwritten using `-DCMAKE_C_STANDARD`
# https://discourse.cmake.org/t/cmake-lang-standard-and-fetchcontent-cache-variable-interaction/8348
set(CMAKE_C_STANDARD 11)
set(CMAKE_C_STANDARD_REQUIRED ON)
set(CMAKE_C_EXTENSIONS ON)

if (NOT CMAKE_BUILD_TYPE)
	set(CMAKE_BUILD_TYPE Release)
endif ()

#[==============================================================================================[
#                                            Options                                            #
]==============================================================================================]

# Boilerplate default values
if (CMAKE_BUILD_TYPE STREQUAL "Debug")
	set(_Spglib_default_debug ON)
else ()
	set(_Spglib_default_debug OFF)
endif ()

#
option(SPGLIB_WITH_Fortran "Spglib: Build Fortran interface" OFF)
option(SPGLIB_WITH_Python "Spglib: Build Python interface" OFF)
option(SPGLIB_USE_OMP "Spglib: Build with OpenMP support" OFF)
option(SPGLIB_WITH_TESTS "Spglib: Build unit tests" ${PROJECT_IS_TOP_LEVEL})
option(SPGLIB_SHARED_LIBS "Spglib: Build as a shared library" ${PROJECT_IS_TOP_LEVEL})
option(SPGLIB_INSTALL "Spglib: Install project" ${PROJECT_IS_TOP_LEVEL})
option(SPGLIB_TEST_COVERAGE "Spglib: Test with coverage" OFF)
mark_as_advanced(SPGLIB_TEST_COVERAGE)
set(SPGLIB_USE_SANITIZER "" CACHE STRING "Spglib: Sanitizer used in compilation")
mark_as_advanced(SPGLIB_USE_SANITIZER)
option(SPGLIB_WARNINGS "Spglib: Enable warning messages" ON)
mark_as_advanced(SPGLIB_WITH_WARNINGS)
option(SPGLIB_DEBUG "Spglib: Build in debug mode" ${_Spglib_default_debug})
mark_as_advanced(SPGLIB_DEBUG)
option(SPGLIB_COMPILATION_WARNING "Spglib: Enable compilation warnings" OFF)
mark_as_advanced(SPGLIB_COMPILATION_WARNING)

#[==============================================================================================[
#                                     Project configuration                                     #
]==============================================================================================]

# Compatibilities
# TODO: Remove when requiring cmake >= 3.20
if (NOT COMMAND cmake_path)
	# Note: This is not an actual replacement of cmake_path, just a minimal implementation for
	# this project
	include(cmake/compat/cmake_path.cmake)
endif ()

# Include basic tools
include(cmake/PackageCompsHelper.cmake)
include(FetchContent)
if (SPGLIB_INSTALL)
	include(CMakePackageConfigHelpers)
	if (UNIX)
		include(GNUInstallDirs)
	endif ()
endif ()

# Define basic parameters
set(BUILD_SHARED_LIBS ${SPGLIB_SHARED_LIBS})
if (BUILD_SHARED_LIBS)
	set(Spglib_LIB_TYPE "shared")
else ()
	set(Spglib_LIB_TYPE "static")
endif ()
if (NOT CMAKE_Fortran_MODULE_DIRECTORY)
	set(CMAKE_Fortran_MODULE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/fortran_mods)
endif ()

set(CMAKE_MACOSX_RPATH 1)
# Windows setup
if (WIN32)
	# Make sure there is a .lib file to link to
	set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)
	# Add appropriate debug flags
	set(CMAKE_MSVC_DEBUG_INFORMATION_FORMAT "$<$<CONFIG:Debug,RelWithDebInfo>:ProgramDatabase>")
endif ()
if (SPGLIB_WITH_Fortran)
	enable_language(Fortran)
endif ()
if (SPGLIB_TEST_COVERAGE)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage")
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} --coverage")
	set(CMAKE_Fortran_FLAGS "${CMAKE_Fortran_FLAGS} --coverage -ftest-forall-temp")
endif ()

# Report configuration
message(STATUS "Spglib:: Build type: ${CMAKE_BUILD_TYPE}")

#[==============================================================================================[
#                                       External packages                                       #
]==============================================================================================]

# Include third-party libraries
set(spglib_dependencies "")
if (SPGLIB_USE_OMP)
	find_package(OpenMP REQUIRED COMPONENTS C)
endif ()
if (SPGLIB_WITH_TESTS)
	set(BUILD_GMOCK OFF)
	set(INSTALL_GTEST OFF)
	set(gtest_disable_pthreads ON)
	FetchContent_Declare(GTest
			GIT_REPOSITORY https://github.com/google/googletest
			GIT_TAG v1.13.0
			FIND_PACKAGE_ARGS
	)
	list(APPEND spglib_dependencies GTest)
	find_package(Threads REQUIRED)
endif ()
if (SPGLIB_WITH_Python)
	find_package(Python3 COMPONENTS REQUIRED Interpreter Development.Module NumPy)
endif ()
FetchContent_MakeAvailable(${spglib_dependencies})

#[==============================================================================================[
#                                        Main definition                                        #
]==============================================================================================]

# Main project
add_library(Spglib_symspg)
set_target_properties(Spglib_symspg PROPERTIES
		VERSION ${PROJECT_VERSION}
		SOVERSION ${PROJECT_VERSION_MAJOR}
		EXPORT_NAME symspg
		OUTPUT_NAME symspg)
add_library(Spglib::symspg ALIAS Spglib_symspg)
# Main definitions inside src
add_subdirectory(src)

# Bindings
if (SPGLIB_WITH_Fortran)
	add_subdirectory(fortran)
endif ()
if (SPGLIB_WITH_Python)
	add_subdirectory(python)
endif ()

# Testing
if (SPGLIB_WITH_TESTS)
	enable_testing()
	add_subdirectory(test)
endif ()

#[==============================================================================================[
#                                       Install or Export                                       #
]==============================================================================================]
# Installation
# TODO: Temporarily disable installing cmake files when using scikit-build-core
#  Check how bundled cmake searches CMAKE_MODULE_DIR and add accordingly
#  (use SKBUILD_PLATLIB_DIR for install root)
if (NOT SKBUILD AND SPGLIB_INSTALL)
	# pkg-config files
	configure_file(cmake/spglib.pc.in spglib.pc @ONLY)
	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/spglib.pc
			DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
			COMPONENT Spglib_Development)

	# cmake export files
	write_basic_package_version_file(
			${CMAKE_CURRENT_BINARY_DIR}/SpglibConfigVersion.cmake
			VERSION ${PROJECT_VERSION}
			COMPATIBILITY SameMajorVersion)
	configure_package_config_file(
			cmake/SpglibConfig.cmake.in
			${CMAKE_CURRENT_BINARY_DIR}/SpglibConfig.cmake
			INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/Spglib)
	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/SpglibConfigVersion.cmake
			${CMAKE_CURRENT_BINARY_DIR}/SpglibConfig.cmake
			cmake/PackageCompsHelper.cmake
			DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/Spglib
			COMPONENT Spglib_Development)
	export_components(LIB_TYPE ${Spglib_LIB_TYPE})
endif ()

# Make project available for FetchContent
if(NOT PROJECT_IS_TOP_LEVEL)
	# Set variables for FetchContent
	# All variables have to be consistent with SpglibConfig.cmake
	set(Spglib_Fortran ${SPGLIB_WITH_Fortran})
	set(Spglib_Python ${SPGLIB_WITH_Python})
	set(Spglib_OMP ${SPGLIB_USE_OMP})
	# Propagate variables
	if (CMAKE_VERSION VERSION_LESS 3.25)
		# TODO: Remove when cmake 3.25 is commonly distributed
		set(Spglib_VERSION ${Spglib_VERSION} PARENT_SCOPE)
		set(Spglib_VERSION_MAJOR ${Spglib_VERSION_MAJOR} PARENT_SCOPE)
		set(Spglib_VERSION_MINOR ${Spglib_VERSION_MINOR} PARENT_SCOPE)
		set(Spglib_VERSION_PATCH ${Spglib_VERSION_PATCH} PARENT_SCOPE)
		set(Spglib_VERSION_TWEAK ${Spglib_VERSION_TWEAK} PARENT_SCOPE)
		set(Spglib_Fortran ${Spglib_Fortran} PARENT_SCOPE)
		set(Spglib_Python ${Spglib_Python} PARENT_SCOPE)
		set(Spglib_OMP ${Spglib_OMP} PARENT_SCOPE)
		set(Spglib_LIB_TYPE ${Spglib_LIB_TYPE} PARENT_SCOPE)
	else ()
		return(PROPAGATE
				Spglib_VERSION
				Spglib_VERSION_MAJOR
				Spglib_VERSION_MINOR
				Spglib_VERSION_PATCH
				Spglib_VERSION_TWEAK
				Spglib_Fortran
				Spglib_Python
				Spglib_OMP
				Spglib_LIB_TYPE
				)
	endif ()
endif ()

=== fortran/CMakeLists.txt ===
# Main fortran wrapper
add_library(Spglib_fortran spglib_f08.F90)
add_library(Spglib::fortran ALIAS Spglib_fortran)

# Configure Fortran wrapper
set_target_properties(Spglib_fortran PROPERTIES
		VERSION ${PROJECT_VERSION}
		SOVERSION ${PROJECT_VERSION_MAJOR}
		EXPORT_NAME fortran
		OUTPUT_NAME spglib_f08
		PUBLIC_HEADER spglib_f08.F90)
set_target_properties(Spglib_fortran PROPERTIES
		PUBLIC_HEADER spglib_f08.F90)
target_include_directories(Spglib_fortran PUBLIC
		"$<BUILD_INTERFACE:${CMAKE_Fortran_MODULE_DIRECTORY}>")
target_link_libraries(Spglib_fortran PUBLIC Spglib_symspg)
# Note: Fortran wrapper is not linked to OpenMP library because it should not be defining any such setup

# Install
if (SPGLIB_INSTALL)
	# CMake does not properly support fortran module installation paths.
	# Adapting the standard from fortran-stdlib
	# https://gitlab.kitware.com/cmake/cmake/-/issues/19608
	# https://discourse.cmake.org/t/api-design-c-modules-source-listings-and-interface-properties/5389/14
	cmake_path(APPEND CMAKE_INSTALL_INCLUDEDIR ${PROJECT_NAME} "${CMAKE_Fortran_COMPILER_ID}-${CMAKE_Fortran_COMPILER_VERSION}"
			OUTPUT_VARIABLE _DEFAULT_CMAKE_INSTALL_MODULEDIR)
	set(CMAKE_INSTALL_MODULEDIR ${_DEFAULT_CMAKE_INSTALL_MODULEDIR}
			CACHE STRING
			"Fortran module installation path (Not a cmake native variable)"
	)
	cmake_path(IS_ABSOLUTE CMAKE_INSTALL_MODULEDIR _is_absolute)
	if (_is_absolute)
		set(CMAKE_INSTALL_FULL_MODULEDIR ${CMAKE_INSTALL_MODULEDIR})
	else ()
		cmake_path(APPEND CMAKE_INSTALL_PREFIX ${CMAKE_INSTALL_MODULEDIR}
				OUTPUT_VARIABLE CMAKE_INSTALL_FULL_MODULEDIR)
	endif ()
	target_include_directories(Spglib_fortran PUBLIC
			"$<INSTALL_INTERFACE:${CMAKE_INSTALL_MODULEDIR}>")
	install(TARGETS Spglib_fortran
			EXPORT SpglibTargets-fortran
			LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT Spglib_Runtime NAMELINK_COMPONENT Spglib_Development
			ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT Spglib_Development
			PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR} COMPONENT Spglib_Development)
	export_components(COMPONENT fortran LIB_TYPE ${SPGLIB_LIB_TYPE})

	# Maybe it is handled automatically
	install(FILES ${CMAKE_Fortran_MODULE_DIRECTORY}/spglib_f08.mod
			DESTINATION ${CMAKE_INSTALL_MODULEDIR}
			COMPONENT Spglib_Development)

	configure_file(spglib_f08.pc.in spglib_f08.pc @ONLY)
	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/spglib_f08.pc
			DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
			COMPONENT Spglib_Development)
endif ()

=== python/CMakeLists.txt ===
Python3_add_library(Spglib_python MODULE WITH_SOABI _spglib.c)
set_target_properties(Spglib_python PROPERTIES
		OUTPUT_NAME _spglib)
target_link_libraries(Spglib_python PRIVATE
		Spglib_symspg Python3::NumPy)
if (NOT Python_INSTALL_DIR)
	if (SKBUILD)
		# If built with scikit-build-core, let it handle the installation
		set(Python_INSTALL_DIR ".")
	else ()
		# Otherwise try to install in current python executable's setup
		set(Python_INSTALL_DIR ${Python3_SITEARCH}/spglib)
	endif ()
endif ()
if (SPGLIB_INSTALL)
	if (WIN32)
		# Windows needs RUNTIME as well to install the .dll file to
		install(TARGETS Spglib_symspg
				LIBRARY DESTINATION ${Python_INSTALL_DIR} COMPONENT Spglib_Runtime
				PUBLIC_HEADER DESTINATION ${Python_INSTALL_DIR} COMPONENT Spglib_Runtime
				RUNTIME DESTINATION ${Python_INSTALL_DIR} COMPONENT Spglib_Runtime)
	else ()
		# TODO: Cmake forces to install PUBLIC_HEADER when defined
		# https://gitlab.kitware.com/cmake/cmake/-/issues/24326
		install(TARGETS Spglib_symspg
				LIBRARY DESTINATION ${Python_INSTALL_DIR} COMPONENT Spglib_Runtime
				PUBLIC_HEADER DESTINATION ${Python_INSTALL_DIR} COMPONENT Spglib_Runtime)
	endif ()
	install(TARGETS Spglib_python
			LIBRARY DESTINATION ${Python_INSTALL_DIR} COMPONENT Spglib_Runtime)

	if (NOT SKBUILD)
		install(DIRECTORY spglib/ DESTINATION ${Python_INSTALL_DIR} COMPONENT Spglib_Runtime)
	endif ()
endif ()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,15 @@
 configure_file(version.h.in version.h)
 
 # Add compiler warnings
-if (MSVC)
-	target_compile_options(Spglib_symspg PRIVATE /W4)
-else()
-	# TODO: C23: Disabled -Wpedantic because of warning spam
-	#  Add it back when C23 standard is widespread and revert this [Temp][C23] commit
-	target_compile_options(Spglib_symspg PRIVATE -Wall -Wextra)
-endif()
+if (SPGLIB_COMPILATION_WARNING)
+	if (MSVC)
+		target_compile_options(Spglib_symspg PRIVATE /W4)
+	else()
+		# TODO: C23: Disabled -Wpedantic because of warning spam
+		#  Add it back when C23 standard is widespread and revert this [Temp][C23] commit
+		target_compile_options(Spglib_symspg PRIVATE -Wall -Wextra)
+	endif()
+endif ()
 
 # Configure main target
 target_sources(Spglib_symspg PRIVATE

=== test/unit/CMakeLists.txt ===
list(APPEND ctest_labels unit_tests)
set(test_sources
		test_dataset_access.cpp
		test_error.cpp
		)
if (test_sources)
	configure_spglib_tests(TARGET Spglib_tests
			SOURCES ${test_sources}
			LABELS ${ctest_labels}
			)
endif ()

=== test/functional/c/CMakeLists.txt ===
list(APPEND ctest_labels c_api)
set(test_sources
		test_delaunay.cpp
		test_niggli.cpp
		test_error.cpp
		test_symmetry.cpp
		test_symmetry_search.cpp
		test_spacegroup_type_search.cpp
		test_find_primitive_cell.cpp
		test_refine_cell.cpp
		test_standardization.cpp
		test_dataset_access.cpp
		test_magnetic_symmetry.cpp
		test_kpoints.cpp
		)
if (test_sources)
	configure_spglib_tests(TARGET Spglib_tests
			SOURCES ${test_sources}
			LABELS ${ctest_labels}
			)
endif ()

=== test/functional/fortran/CMakeLists.txt ===
--- 
+++ 
@@ -10,10 +10,35 @@
 		test_rutile112
 		test_zincblende
 		)
+set(SubTests_test_fortran_spg_get_dataset
+		test_dataset_rutile112
+		test_dataset_zincblende
+		)
+set(SubTests_test_fortran_spg_get_spacegroup_type
+		test_spacegroup_type_rutile
+		)
+set(SubTests_test_fortran_spg_get_magnetic_dataset
+		test_rutile_type_III
+		test_Cr_type_IV
+        test_magnetic_dataset_non_collinear
+		)
+set(SubTests_test_fortran_spg_get_magnetic_spacegroup_type
+        test_magnetic_spacegroup_type_Cr
+		)
+set(SubTests_test_fortran_spg_get_symmetry_with_site_tensors
+        test_site_tensors_rutile_type_III
+        test_site_tensors_Cr_type_IV
+        test_site_tensors_non_collinear
+		)
 
 # Add fortran tests here
 create_test_sourcelist(FortranTests_Files
 		${TestsDriver}
+		test_fortran_spg_get_spacegroup_type.F90
+		test_fortran_spg_get_dataset.F90
+		test_fortran_spg_get_magnetic_spacegroup_type.F90
+		test_fortran_spg_get_magnetic_dataset.F90
+        test_fortran_spg_get_symmetry_with_site_tensors.F90
 		test_fortran_spg_get_symmetry.F90
 		test_fortran_spg_refine_cell.F90)
 # Define any subtests (would be nice to auto-detect them like Catch2)

=== test/package/FetchContent/fortran/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.11)
project(example_spglib LANGUAGES Fortran)

include(FetchContent)
set(SPGLIB_WITH_Fortran ON CACHE BOOL "Overwrite" FORCE)

if (DEFINED ENV{PACKIT_SOURCE_URL})
	set(git_repo $ENV{PACKIT_SOURCE_URL})
else ()
	set(git_repo https://github.com/spglib/spglib)
endif ()
if (DEFINED ENV{PACKIT_SOURCE_SHA})
	set(git_tag $ENV{PACKIT_SOURCE_SHA})
elseif (DEFINED ENV{PACKIT_COMMIT_SHA})
	set(git_tag $ENV{PACKIT_COMMIT_SHA})
else ()
	set(git_tag develop)
endif ()

FetchContent_Declare(Spglib
		GIT_REPOSITORY ${git_repo}
		GIT_TAG ${git_tag}
)
FetchContent_MakeAvailable(Spglib)

add_executable(main main.F90)
target_link_libraries(main PRIVATE Spglib::fortran)

=== debian/changelog ===
spglib (2.2.0-2) unstable; urgency=medium

  * Drop dependency on python3-all-dev as only the default Python version
    is supported (Closes: #1057858)

 -- Andrius Merkys <merkys@debian.org>  Tue, 12 Dec 2023 02:38:23 -0500

spglib (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0
  * Adjust upstream changelog location.

 -- Andrius Merkys <merkys@debian.org>  Fri, 08 Dec 2023 10:14:46 -0500

=== debian/control ===
Source: spglib
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Section: science
Priority: optional
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-python,
 gem2deb,
 gfortran,
 libgtest-dev,
 moreutils,
 python3-dev,
 python3-numpy,
 python3-pytest <!nocheck>,
 python3-setuptools,
 python3-yaml (>= 5),
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/science-team/spglib
Vcs-Git: https://salsa.debian.org/science-team/spglib.git
Homepage: https://spglib.github.io/spglib/
XS-Ruby-Versions: all
Rules-Requires-Root: no

Package: libspglib-f08-2
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: C library for crystal symmetry determination (Fortran interface)
 Spglib is a C library for crystal symmetry determination. Symmetry
 operations, space groups and other data can be obtained using this
 symmetry finder.
 .
 Features include:
 .
  * Identify space-group type
  * Find symmetry operations
  * Find a primitive cell
  * Search irreducible k-points
  * Refine crystal structure
  * Wyckoff position assignment
 .
 This package contains Fortran interface.

Package: libspglib-f08-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libspglib-f08-2 (= ${binary:Version}),
 ${misc:Depends},
Description: C library for crystal symmetry determination (Fortran development files)
 Spglib is a C library for crystal symmetry determination. Symmetry
 operations, space groups and other data can be obtained using this
 symmetry finder.
 .
 Features include:
 .
  * Identify space-group type
  * Find symmetry operations
  * Find a primitive cell
  * Search irreducible k-points
  * Refine crystal structure
  * Wyckoff position assignment
 .
 This package contains development files for Fortran interface.

Package: libsymspg-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libsymspg2 (= ${binary:Version}),
 ${misc:Depends},
Description: C library for crystal symmetry determination (development files)
 Spglib is a C library for crystal symmetry determination. Symmetry
 operations, space groups and other data can be obtained using this
 symmetry finder.
 .
 Features include:
 .
  * Identify space-group type
  * Find symmetry operations
  * Find a primitive cell
  * Search irreducible k-points
  * Refine crystal structure
  * Wyckoff position assignment
 .
 This package contains static library and header files.

Package: libsymspg2
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: C library for crystal symmetry determination
 Spglib is a C library for crystal symmetry determination. Symmetry
 operations, space groups and other data can be obtained using this
 symmetry finder.
 .
 Features include:
 .
  * Identify space-group type
  * Find symmetry operations
  * Find a primitive cell
  * Search irreducible k-points
  * Refine crystal structure
  * Wyckoff position assignment

Package: python3-spglib
Architecture: any
Section: python
Depends:
 python3-numpy,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
XB-Python-Version: ${python3:Versions}
Provides:
 ${python3:Provides},
Description: C library for crystal symmetry determination - Python3 bindings
 Spglib is a C library for crystal symmetry determination. Symmetry
 operations, space groups and other data can be obtained using this
 symmetry finder.
 .
 Features include:
 .
  * Identify space-group type
  * Find symmetry operations
  * Find a primitive cell
  * Search irreducible k-points
  * Refine crystal structure
  * Wyckoff position assignment
 .
 This package contains the Python3 bindings.

Package: ruby-getspg
Architecture: any
Section: ruby
X-DhRuby-Root: ruby
XB-Ruby-Versions: ${ruby:Versions}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: C library for crystal symmetry determination - Ruby bindings
 Spglib is a C library for crystal symmetry determination. Symmetry
 operations, space groups and other data can be obtained using this
 symmetry finder.
 .
 Features include:
 .
  * Identify space-group type
  * Find symmetry operations
  * Find a primitive cell
  * Search irreducible k-points
  * Refine crystal structure
  * Wyckoff position assignment
 .
 This package contains the Ruby bindings.

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	cut -d - -f 1 debian/libsymspg2/DEBIAN/symbols | sponge debian/libsymspg2/DEBIAN/symbols
 
 override_dh_installchangelogs:
-	dh_installchangelogs ChangeLog
+	dh_installchangelogs ChangeLog.md
 
 execute_after_dh_auto_clean:
 	rm -rf .pytest_cache/ test/functional/python/__pycache__/

=== debian/tests/control ===
Test-Command: cd test/functional/python && pytest-3
Depends:
 python3-pytest,
 python3-yaml (>= 5),
 @,

Test-Command: RUBYLIB=ruby ruby ruby/symPoscar.rb test/functional/python/data/hexagonal/POSCAR-168 | fgrep --silent 'P6 (168) / 6 / P 6 (462) /'
Depends:
 ruby-getspg,

## spglib 2.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,12 +6,20 @@
 endif ()
 
 #[==============================================================================================[
-#                                    Basic project defintion                                    #
-]==============================================================================================]
-
+#                                    Basic project definition                                   #
+]==============================================================================================]
+
+include(cmake/DynamicVersion.cmake)
+# Get dynamic version and save it to PROJECT_VERSION
+dynamic_version(
+		PROJECT_PREFIX Spglib_
+		FALLBACK_VERSION 0.0.0
+)
 project(Spglib
-		VERSION 2.2.0
+		VERSION ${PROJECT_VERSION}
 		LANGUAGES C)
+set(Spglib_VERSION_FULL ${PROJECT_VERSION_FULL})
+set(Spglib_COMMIT ${GIT_COMMIT})
 
 # Back-porting to PROJECT_IS_TOP_LEVEL to older cmake
 # TODO: Remove when requiring cmake >= 3.21
@@ -114,6 +122,7 @@
 
 # Report configuration
 message(STATUS "Spglib:: Build type: ${CMAKE_BUILD_TYPE}")
+message(STATUS "Spglib:: Version ${PROJECT_VERSION_FULL}")
 
 #[==============================================================================================[
 #                                       External packages                                       #
@@ -216,6 +225,8 @@
 		set(Spglib_VERSION_MINOR ${Spglib_VERSION_MINOR} PARENT_SCOPE)
 		set(Spglib_VERSION_PATCH ${Spglib_VERSION_PATCH} PARENT_SCOPE)
 		set(Spglib_VERSION_TWEAK ${Spglib_VERSION_TWEAK} PARENT_SCOPE)
+		set(Spglib_VERSION_FULL ${Spglib_VERSION_FULL} PARENT_SCOPE)
+		set(Spglib_COMMIT ${Spglib_COMMIT} PARENT_SCOPE)
 		set(Spglib_Fortran ${Spglib_Fortran} PARENT_SCOPE)
 		set(Spglib_Python ${Spglib_Python} PARENT_SCOPE)
 		set(Spglib_OMP ${Spglib_OMP} PARENT_SCOPE)
@@ -227,6 +238,8 @@
 				Spglib_VERSION_MINOR
 				Spglib_VERSION_PATCH
 				Spglib_VERSION_TWEAK
+				Spglib_VERSION_FULL
+				Spglib_COMMIT
 				Spglib_Fortran
 				Spglib_Python
 				Spglib_OMP

=== fortran/CMakeLists.txt ===
--- 
+++ 
@@ -1,19 +1,46 @@
 # Main fortran wrapper
-add_library(Spglib_fortran spglib_f08.F90)
+add_library(Spglib_fortran)
 add_library(Spglib::fortran ALIAS Spglib_fortran)
+configure_file(spglib_version.f90.in spglib_version.f90)
+
+# This target is only used in the SpglibConfig.cmake
+add_library(Spglib_fortran_include INTERFACE)
+target_sources(Spglib_fortran_include INTERFACE
+		"$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/spglib_f08.F90>"
+)
+set_target_properties(Spglib_fortran_include PROPERTIES
+		EXPORT_NAME fortran_include
+)
+
+# Concatenate the contents of the fortran file so it can be compiled from source
+execute_process(COMMAND ${CMAKE_COMMAND} -E cat
+		${CMAKE_CURRENT_BINARY_DIR}/spglib_version.f90
+		${CMAKE_CURRENT_SOURCE_DIR}/spglib_f08.F90
+		OUTPUT_VARIABLE spglib_f08_concat
+		WORKING_DIRECTORY ${CMAKE_CURRENT_LIST_DIR}
+)
+file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/spglib_f08.F90 ${spglib_f08_concat})
+
+# Use the separate files for the project itself so that they are properly re-built
+target_sources(Spglib_fortran PRIVATE
+		spglib_f08.F90
+		${CMAKE_CURRENT_BINARY_DIR}/spglib_version.f90
+)
 
 # Configure Fortran wrapper
 set_target_properties(Spglib_fortran PROPERTIES
 		VERSION ${PROJECT_VERSION}
 		SOVERSION ${PROJECT_VERSION_MAJOR}
-		EXPORT_NAME fortran
+		EXPORT_NAME fortran_mod
 		OUTPUT_NAME spglib_f08
-		PUBLIC_HEADER spglib_f08.F90)
-set_target_properties(Spglib_fortran PROPERTIES
-		PUBLIC_HEADER spglib_f08.F90)
+)
+set_target_properties(Spglib_fortran_include PROPERTIES
+		PUBLIC_HEADER ${CMAKE_CURRENT_BINARY_DIR}/spglib_f08.F90
+)
 target_include_directories(Spglib_fortran PUBLIC
 		"$<BUILD_INTERFACE:${CMAKE_Fortran_MODULE_DIRECTORY}>")
 target_link_libraries(Spglib_fortran PUBLIC Spglib_symspg)
+target_link_libraries(Spglib_fortran_include INTERFACE Spglib_symspg)
 # Note: Fortran wrapper is not linked to OpenMP library because it should not be defining any such setup
 
 # Install
@@ -37,12 +64,19 @@
 	endif ()
 	target_include_directories(Spglib_fortran PUBLIC
 			"$<INSTALL_INTERFACE:${CMAKE_INSTALL_MODULEDIR}>")
-	install(TARGETS Spglib_fortran
+	install(TARGETS Spglib_fortran Spglib_fortran_include
 			EXPORT SpglibTargets-fortran
-			LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT Spglib_Runtime NAMELINK_COMPONENT Spglib_Development
+			LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT Spglib_Runtime
+			NAMELINK_COMPONENT Spglib_Development
 			ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT Spglib_Development
-			PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR} COMPONENT Spglib_Development)
+			PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR} COMPONENT Spglib_Development
+			RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} COMPONENT Spglib_Runtime
+	)
 	export_components(COMPONENT fortran LIB_TYPE ${SPGLIB_LIB_TYPE})
+	install(FILES try_compile.f90
+			DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/Spglib
+			COMPONENT Spglib_Development
+	)
 
 	# Maybe it is handled automatically
 	install(FILES ${CMAKE_Fortran_MODULE_DIRECTORY}/spglib_f08.mod

=== python/CMakeLists.txt ===
Python3_add_library(Spglib_python MODULE WITH_SOABI _spglib.c)
set_target_properties(Spglib_python PROPERTIES
		OUTPUT_NAME _spglib)
target_link_libraries(Spglib_python PRIVATE
		Spglib_symspg Python3::NumPy)
if (NOT Python_INSTALL_DIR)
	if (SKBUILD)
		# If built with scikit-build-core, let it handle the installation
		set(Python_INSTALL_DIR ".")
	else ()
		# Otherwise try to install in current python executable's setup
		set(Python_INSTALL_DIR ${Python3_SITEARCH}/spglib)
	endif ()
endif ()
if (SPGLIB_INSTALL)
	# TODO: Cmake forces to install PUBLIC_HEADER when defined
	# https://gitlab.kitware.com/cmake/cmake/-/issues/24326
	install(TARGETS Spglib_symspg
			LIBRARY DESTINATION ${Python_INSTALL_DIR} COMPONENT Spglib_Runtime
			NAMELINK_COMPONENT Spglib_Development
			ARCHIVE DESTINATION ${Python_INSTALL_DIR} COMPONENT Spglib_Development
			PUBLIC_HEADER DESTINATION ${Python_INSTALL_DIR} COMPONENT Spglib_Development
			RUNTIME DESTINATION ${Python_INSTALL_DIR} COMPONENT Spglib_Runtime
	)
	install(TARGETS Spglib_python
			LIBRARY DESTINATION ${Python_INSTALL_DIR} COMPONENT Spglib_Runtime
	)

	if (NOT SKBUILD)
		install(DIRECTORY spglib/ DESTINATION ${Python_INSTALL_DIR} COMPONENT Spglib_Runtime)
	endif ()
endif ()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,8 @@
 configure_file(version.h.in version.h)
+set_property(DIRECTORY APPEND PROPERTY
+		CMAKE_CONFIGURE_DEPENDS ${PROJECT_BINARY_DIR}/.git_commit
+)
+add_dependencies(Spglib_symspg Spglib_GitHash)
 
 # Add compiler warnings
 if (SPGLIB_COMPILATION_WARNING)
@@ -88,20 +92,13 @@
 
 # Install
 if (NOT SKBUILD AND SPGLIB_INSTALL)
-	# Normal installation target to system. When using scikit-build check python subdirectory
-	if (WIN32)
-		# TODO: Probably wrong, please fix
+	# Normal installation target to system. When using scikit-build this is installed again in python path
 		install(TARGETS Spglib_symspg
 				EXPORT SpglibTargets
-				LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT Spglib_Runtime NAMELINK_COMPONENT Spglib_Development
+				LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT Spglib_Runtime
+				NAMELINK_COMPONENT Spglib_Development
 				ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT Spglib_Development
 				PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR} COMPONENT Spglib_Development
-				RUNTIME DESTINATION ${CMAKE_INSTALL_RUNTIMEDIR} COMPONENT Spglib_Runtime)
-	else ()
-		install(TARGETS Spglib_symspg
-				EXPORT SpglibTargets
-				LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT Spglib_Runtime NAMELINK_COMPONENT Spglib_Development
-				ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT Spglib_Development
-				PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR} COMPONENT Spglib_Development)
-	endif ()
+				RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} COMPONENT Spglib_Runtime
+		)
 endif ()

=== test/CMakeLists.txt ===
enable_language(CXX)
include(GoogleTest)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED True)

# Define/clear local variables to be used
set(ctest_labels "")

# Define the test framework
add_executable(Spglib_tests)
set_target_properties(Spglib_tests PROPERTIES
		OUTPUT_NAME test_suite
		)
target_sources(Spglib_tests PRIVATE
		utils.c
		)
target_link_libraries(Spglib_tests
		PRIVATE Spglib_symspg
		PRIVATE GTest::gtest GTest::gtest_main
		PRIVATE Threads::Threads
		)
target_include_directories(Spglib_tests
		PRIVATE ${CMAKE_CURRENT_SOURCE_DIR})

# Define a helper function to configure the google tests
function(configure_spglib_tests)
	cmake_parse_arguments(ARGS
			""
			"TARGET"
			"LABELS;SOURCES"
			${ARGN})

	target_sources(${ARGS_TARGET} PRIVATE ${ARGS_SOURCES})
	gtest_add_tests(TARGET ${ARGS_TARGET}
			SOURCES ${ARGS_SOURCES}
			TEST_LIST google_tests)
	foreach (g_test IN LISTS google_tests)
		set_tests_properties(${g_test} PROPERTIES
				LABELS "${ARGS_LABELS}")
	endforeach ()
endfunction()

# Add the individual tests types
add_subdirectory(unit)
add_subdirectory(integration)
add_subdirectory(functional)

=== example/c_api/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)
project(example_spglib LANGUAGES C)

set(CMAKE_C_STANDARD 11)
set(CMAKE_C_STANDARD_REQUIRED ON)
set(CMAKE_C_EXTENSIONS ON)

find_package(Spglib REQUIRED)

add_executable(example example.c)
add_executable(example_full example_full.c)

target_link_libraries(example PRIVATE Spglib::symspg)
target_link_libraries(example_full PRIVATE Spglib::symspg)

=== example/fortran_api/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.6)
project(example_spglib LANGUAGES Fortran)

find_package(Spglib REQUIRED COMPONENTS fortran)

add_executable(example example.F90)
add_executable(example_full example_full.F90)

target_link_libraries(example PRIVATE Spglib::fortran)
target_link_libraries(example_full PRIVATE Spglib::fortran)

=== test/functional/CMakeLists.txt ===
list(APPEND ctest_labels functional_tests)
set(test_sources "")
if (test_sources)
	configure_spglib_tests(TARGET Spglib_tests
			SOURCES ${test_sources}
			LABELS ${ctest_labels}
			)
endif ()
add_subdirectory(c)
if (SPGLIB_WITH_Fortran)
	add_subdirectory(fortran)
endif ()
if (SPGLIB_WITH_Python)
	# TODO: Migrate the main tests to C library
	add_test (NAME python-tests
			COMMAND ${Python3_EXECUTABLE} -m pytest ${CMAKE_CURRENT_SOURCE_DIR}
			WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
			)
	set_tests_properties(python-tests PROPERTIES
			LABELS "functional_tests;pytest")
endif ()

=== test/integration/CMakeLists.txt ===
list(APPEND ctest_labels integration_tests)
set(test_sources "")
if (test_sources)
	configure_spglib_tests(TARGET Spglib_tests
			SOURCES ${test_sources}
			LABELS ${ctest_labels}
			)
endif ()

=== test/unit/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,13 @@
 set(test_sources
 		test_dataset_access.cpp
 		test_error.cpp
+		test_version.cpp
 		)
+target_compile_definitions(Spglib_tests PRIVATE
+		Spglib_VERSION=${Spglib_VERSION}
+		Spglib_VERSION_FULL=${Spglib_VERSION_FULL}
+		Spglib_COMMIT=${Spglib_COMMIT}
+)
 if (test_sources)
 	configure_spglib_tests(TARGET Spglib_tests
 			SOURCES ${test_sources}

=== test/functional/c/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 		test_standardization.cpp
 		test_dataset_access.cpp
 		test_magnetic_symmetry.cpp
+		test_magnetic_dataset.cpp
 		test_kpoints.cpp
 		)
 if (test_sources)

=== test/functional/fortran/CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,9 @@
 		test_fortran_spg_get_magnetic_dataset.F90
         test_fortran_spg_get_symmetry_with_site_tensors.F90
 		test_fortran_spg_get_symmetry.F90
-		test_fortran_spg_refine_cell.F90)
+		test_fortran_spg_refine_cell.F90
+		test_fortran_version.F90
+)
 # Define any subtests (would be nice to auto-detect them like Catch2)
 
 
@@ -50,6 +52,11 @@
 	target_link_options(FortranTests PRIVATE
 			"$<$<COMPILE_LANGUAGE:Fortran>:-nofor-main>")
 endif ()
+target_compile_definitions(FortranTests PRIVATE
+		Spglib_VERSION=${Spglib_VERSION}
+		Spglib_VERSION_FULL=${Spglib_VERSION_FULL}
+		Spglib_COMMIT=${Spglib_COMMIT}
+)
 
 # Remove the driver executable from the list for add_test
 set(TestsToRun ${FortranTests_Files})

=== debian/changelog ===
spglib (2.3.1-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:24:26 +0000

spglib (2.3.1-1ubuntu1) noble; urgency=medium

  * d/p/fix-ruby3.2.patch: fix autopkgtest in ppc64el and s390x.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 28 Feb 2024 18:25:59 -0300

spglib (2.3.1-1) unstable; urgency=medium

  * New upstream version 2.3.1

 -- Andrius Merkys <merkys@debian.org>  Tue, 20 Feb 2024 09:27:09 -0500

spglib (2.2.0-3) unstable; urgency=medium

  * Build python3-spglib with pybuild for all supported Python versions
    (Closes: #1061263)
  * Use 'Testsuite: autopkgtest-pkg-pybuild' for Python package.
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Tue, 06 Feb 2024 09:11:55 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: spglib
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Andrius Merkys <merkys@debian.org>,
 Section: science
@@ -12,10 +13,16 @@
  gfortran,
  libgtest-dev,
  moreutils,
- python3-dev,
+ pybuild-plugin-pyproject,
+ python3-all-dev,
+ python3-build,
  python3-numpy,
+ python3-pathspec,
+ python3-pyproject-metadata,
  python3-pytest <!nocheck>,
+ python3-scikit-build-core,
  python3-setuptools,
+ python3-setuptools-scm,
  python3-yaml (>= 5),
 Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/science-team/spglib
@@ -23,6 +30,7 @@
 Homepage: https://spglib.github.io/spglib/
 XS-Ruby-Versions: all
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: libspglib-f08-2
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,16 +7,21 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with python3,ruby
+	dh $@ --buildsystem cmake --with python3,ruby
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DSPGLIB_WITH_Fortran=ON -DSPGLIB_WITH_Python=ON
+	dh_auto_configure -- -DSPGLIB_WITH_Fortran=ON
 	dh_auto_configure --buildsystem ruby
 
 execute_after_dh_auto_build:
+	dh_auto_build --buildsystem pybuild -- --after-build 'rm {build_dir}/spglib/libsymspg.so*'
 	dh_auto_build --buildsystem ruby
 
+execute_after_dh_auto_test:
+	LD_LIBRARY_PATH=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) dh_auto_test --buildsystem pybuild
+
 execute_after_dh_auto_install:
+	dh_auto_install --buildsystem pybuild
 	cd ruby && ruby -I/usr/lib/ruby/vendor_ruby extconf.rb --with-getspg-lib=$$(realpath ../obj-*) --with-getspg-include=../src
 	ABS_TOP_DESTDIR=$(CURDIR)/debian/tmp/usr dh_auto_install --buildsystem ruby
 
@@ -27,5 +32,6 @@
 	dh_installchangelogs ChangeLog.md
 
 execute_after_dh_auto_clean:
+	dh_auto_clean --buildsystem pybuild
 	rm -rf .pytest_cache/ test/functional/python/__pycache__/
 	dh_auto_clean --buildsystem ruby

=== debian/tests/control ===
Test-Command: RUBYLIB=ruby ruby ruby/symPoscar.rb test/functional/python/data/hexagonal/POSCAR-168 | fgrep --silent 'P6 (168) / 6 / P 6 (462) /'
Depends:
 ruby-getspg,
